aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.GetIdentityDkimAttributes

Synopsis

- data GetIdentityDkimAttributes = GetIdentityDkimAttributes [Text]
- data GetIdentityDkimAttributesResponse = GetIdentityDkimAttributesResponse [IdentityDkimAttributes]
- data IdentityDkimAttributes = IdentityDkimAttributes {
  - idIdentity :: Text
  - idDkimEnabled :: Bool
  - idDkimTokens :: [Text]
  - idDkimVerirficationStatus :: Text
  }

# Documentation

data GetIdentityDkimAttributes Source #

Get notification settings for the given identities.

Constructors

GetIdentityDkimAttributes [Text] |

#### Instances

Instances details

SignQuery GetIdentityDkimAttributes Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type ServiceConfiguration GetIdentityDkimAttributes |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ServiceConfiguration GetIdentityDkimAttributes = SesConfiguration

Methods

signQuery :: GetIdentityDkimAttributes -> ServiceConfiguration GetIdentityDkimAttributes queryType -> SignatureData -> SignedQuery Source #

Show GetIdentityDkimAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods showsPrec :: Int -> GetIdentityDkimAttributes -> ShowS Source # show :: GetIdentityDkimAttributes -> String Source # showList :: [GetIdentityDkimAttributes] -> ShowS Source #
Eq GetIdentityDkimAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods (==) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool Source # (/=) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool Source #
Ord GetIdentityDkimAttributes Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Methods

compare :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Ordering Source #

(<) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool Source #

(<=) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool Source #

(>) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool Source #

(>=) :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> Bool Source #

max :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> GetIdentityDkimAttributes Source #

min :: GetIdentityDkimAttributes -> GetIdentityDkimAttributes -> GetIdentityDkimAttributes Source #

ResponseConsumer GetIdentityDkimAttributes GetIdentityDkimAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type ResponseMetadata GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ResponseMetadata GetIdentityDkimAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityDkimAttributes -> IORef (ResponseMetadata GetIdentityDkimAttributesResponse) -> HTTPResponseConsumer GetIdentityDkimAttributesResponse Source #

Transaction GetIdentityDkimAttributes GetIdentityDkimAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes
type ServiceConfiguration GetIdentityDkimAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ServiceConfiguration GetIdentityDkimAttributes = SesConfiguration

data GetIdentityDkimAttributesResponse Source #

The response sent back by Amazon SES after a `GetIdentityDkimAttributes` command.

Constructors

GetIdentityDkimAttributesResponse [IdentityDkimAttributes] |

#### Instances

Instances details

AsMemoryResponse GetIdentityDkimAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type MemoryResponse GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type MemoryResponse GetIdentityDkimAttributesResponse = GetIdentityDkimAttributesResponse

Methods

loadToMemory :: GetIdentityDkimAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityDkimAttributesResponse) Source #

Show GetIdentityDkimAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods showsPrec :: Int -> GetIdentityDkimAttributesResponse -> ShowS Source # show :: GetIdentityDkimAttributesResponse -> String Source # showList :: [GetIdentityDkimAttributesResponse] -> ShowS Source #
Eq GetIdentityDkimAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods (==) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool Source # (/=) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool Source #
Ord GetIdentityDkimAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Methods

compare :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Ordering Source #

(<) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool Source #

(<=) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool Source #

(>) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool Source #

(>=) :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> Bool Source #

max :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse Source #

min :: GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse -> GetIdentityDkimAttributesResponse Source #

ResponseConsumer GetIdentityDkimAttributes GetIdentityDkimAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type ResponseMetadata GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ResponseMetadata GetIdentityDkimAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityDkimAttributes -> IORef (ResponseMetadata GetIdentityDkimAttributesResponse) -> HTTPResponseConsumer GetIdentityDkimAttributesResponse Source #

Transaction GetIdentityDkimAttributes GetIdentityDkimAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes
type MemoryResponse GetIdentityDkimAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type MemoryResponse GetIdentityDkimAttributesResponse = GetIdentityDkimAttributesResponse
type ResponseMetadata GetIdentityDkimAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ResponseMetadata GetIdentityDkimAttributesResponse = SesMetadata

data IdentityDkimAttributes Source #

Constructors

IdentityDkimAttributes |

Fields

- idIdentity :: Text
- idDkimEnabled :: Bool
- idDkimTokens :: [Text]
- idDkimVerirficationStatus :: Text

#### Instances

Instances details

Show IdentityDkimAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods showsPrec :: Int -> IdentityDkimAttributes -> ShowS Source # show :: IdentityDkimAttributes -> String Source # showList :: [IdentityDkimAttributes] -> ShowS Source #
Eq IdentityDkimAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes Methods (==) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool Source # (/=) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool Source #
Ord IdentityDkimAttributes Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Methods

compare :: IdentityDkimAttributes -> IdentityDkimAttributes -> Ordering Source #

(<) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool Source #

(<=) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool Source #

(>) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool Source #

(>=) :: IdentityDkimAttributes -> IdentityDkimAttributes -> Bool Source #

max :: IdentityDkimAttributes -> IdentityDkimAttributes -> IdentityDkimAttributes Source #

min :: IdentityDkimAttributes -> IdentityDkimAttributes -> IdentityDkimAttributes Source #